ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Tc.Types.TH

# Documentation

data SpliceType #

Constructors

Typed |
Untyped |

data SpliceOrBracket #

Constructors

IsSplice |
IsBracket |

data ThStage #

Constructors

Splice SpliceType |
RunSplice (TcRef [ForeignRef (Q ())]) |
Comp |
Brack ThStage PendingStuff |

#### Instances

Instances details

Outputable ThStage # |
Instance details Defined in GHC.Tc.Types.TH Methods ppr :: ThStage -> SDoc #

data PendingStuff #

Constructors

RnPendingUntyped (TcRef [PendingRnSplice]) |
RnPendingTyped |
TcPending (TcRef [PendingTcSplice]) (TcRef WantedConstraints) QuoteWrapper |

type ThLevel = Int #

topStage :: ThStage #

topAnnStage :: ThStage #

topSpliceStage :: ThStage #

thLevel :: ThStage -> ThLevel #

impLevel :: ThLevel #

outerLevel :: ThLevel #